package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrFrame;

/**
 * 支（吊）架Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrFrameMapper
{
    /**
     * 查询支（吊）架
     *
     * @param id 支（吊）架ID
     * @return 支（吊）架
     */
    public TPssrFrame selectTPssrFrameById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询支（吊）架列表
     *
     * @param tPssrFrame 支（吊）架
     * @return 支（吊）架集合
     */
    
    public List<TPssrFrame> selectTPssrFrameList(TPssrFrame tPssrFrame);

    /**
     * 新增支（吊）架
     *
     * @param tPssrFrame 支（吊）架
     * @return 结果
     */
    public int insertTPssrFrame(TPssrFrame tPssrFrame);

    /**
     * 修改支（吊）架
     *
     * @param tPssrFrame 支（吊）架
     * @return 结果
     */
    public int updateTPssrFrame(TPssrFrame tPssrFrame);
    public int updateTPssrFrameByIds(TPssrFrame tPssrFrame);


    /**
     * 删除支（吊）架
     *
     * @param id 支（吊）架ID
     * @return 结果
     */
    public int deleteTPssrFrameById(Long id);

    /**
     * 批量删除支（吊）架
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrFrameByIds(Long[] ids);
}
